## kscreenlocker 5.27.4

=== debian/changelog ===
kscreenlocker (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:48 +0100

kscreenlocker (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:16 +0000

kscreenlocker (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:02 +0000

kscreenlocker (5.27.1-0ubuntu2) lunar; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 20:08:02 +0000

kscreenlocker (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:45 +0000

kscreenlocker (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:47 +0000

kscreenlocker (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * New build depend on libkf5screen-dev.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:29:43 +0000

kscreenlocker (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)
  * Keep layer-shell-qt build dep at 5.26.4

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 08:54:36 +0000

kscreenlocker (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.26.4
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 12:10:10 +0000

kscreenlocker (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:03:49 +0000

kscreenlocker (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:11:22 +0000

kscreenlocker (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:51 +0000

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5config-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5idletime-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5screen-dev (>= 4:5.27.4~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               liblayershellqtinterface-dev (>= 5.27.4~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/kscreenlocker
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Rules-Requires-Root: no

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         systemsettings,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the KCM settings module for kscreenlocker.

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Pre-Depends: psmisc
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~)
Recommends: kde-config-screenlocker
Multi-Arch: same
Description: Secure lock screen architecture
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the library files for kscreenlocker.

## kscreenlocker 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kscreenlocker)
set(CMAKE_C_STANDARD 99)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CheckIncludeFiles)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

include(CheckIncludeFile)
include(CheckSymbolExists)
check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif ()
add_feature_info("prctl/procctl tracing control"
                 CAN_DISABLE_PTRACE
                 "Required for disallowing ptrace on greeter and kcheckpass process")

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    Declarative
    KCMUtils
    KIO
    GlobalAccel
    I18n
    IdleTime
    Notifications
    Solid
    Wayland
    WindowSystem
    XmlGui
)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace")

find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS XTEST)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")

if (QT_MAJOR_VERSION EQUAL "5")
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)
endif()

find_package(WaylandScanner)
find_package(Wayland 1.3 COMPONENTS Client Server)
find_package(LayerShellQt REQUIRED)
find_package(KF5Screen REQUIRED)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")

find_package(loginctl)
set_package_properties(loginctl PROPERTIES
    URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
    DESCRIPTION "Send control commands to the login manager"
    TYPE RUNTIME
)
set(HAVE_LOGINCTL ${loginctl_FOUND})

if (NOT HAVE_LOGINCTL)
    find_package(ConsoleKit)
    set_package_properties(ConsoleKit PROPERTIES
        URL "https://github.com/ConsoleKit2/ConsoleKit2"
        DESCRIPTION "Framework for tracking user login sessions"
        TYPE RECOMMENDED
    )
    set(HAVE_CONSOLEKIT ${ConsoleKit_FOUND})
endif ()

if (HAVE_LOGINCTL OR HAVE_CONSOLEKIT)
    set(HAVE_UNLOCK_CAPABILITY TRUE)
endif ()

add_feature_info("Unlock broken screenlocker"
                 HAVE_UNLOCK_CAPABILITY
                 "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl or consolekit please contact plasma-devel@kde.org to discuss alternatives.")

option(PAM_REQUIRED "Require building with PAM" ON)

include(ConfigureChecks.cmake)

configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )

if (HAVE_CONSOLEKIT)
    configure_file(ck-unlock-session.cmake ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session)
endif ()

# adjusting CMAKE_C_FLAGS to get wayland protocols to compile
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREENLOCKER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreenlocker_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
    SOVERSION 5
)

configure_file(config-kscreenlocker.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kscreenlocker.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(KSLD_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KScreenLocker")

include(ECMQtDeclareLoggingCategory)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)

add_subdirectory(greeter)
add_subdirectory(kcm)
add_subdirectory(settings)

add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")

set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
set(powerdevilpolicyagent_xml dbus/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)

set(ksld_SRCS
   abstractlocker.cpp
   ksldapp.cpp
   interface.cpp
   globalaccel.cpp
   x11locker.cpp
   waylandlocker.cpp
   logind.cpp
   waylandserver.cpp
   powermanagement_inhibition.cpp
   abstractlocker.h
   ksldapp.h
   interface.h
   globalaccel.h
   x11locker.h
   waylandlocker.h
   logind.h
   waylandserver.h
   powermanagement_inhibition.h
)

ecm_qt_declare_logging_category(ksld_SRCS
    HEADER kscreenlocker_logging.h
    IDENTIFIER KSCREENLOCKER
    CATEGORY_NAME kscreenlocker
    DEFAULT_SEVERITY Critical
    DESCRIPTION "KScreenLocker"
    EXPORT KSCREENLOCKER
)

qt_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
qt_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
qt_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)

ecm_add_wayland_server_protocol(ksld_SRCS
    PROTOCOL protocols/ksld.xml
    BASENAME ksld
)

add_library(KScreenLocker SHARED ${ksld_SRCS})

target_link_libraries(KScreenLocker
PUBLIC
   Qt::Core
PRIVATE
   settings
   Qt::DBus
   KF5::I18n
   KF5::IdleTime
   KF5::GlobalAccel
   KF5::Notifications
   KF5::CoreAddons
   KF5::ConfigGui
   KF5::Package
   KF5::WindowSystem
   KF5::XmlGui
   X11::X11
   XCB::XCB
   XCB::KEYSYMS
   Wayland::Server
)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(KScreenLocker PUBLIC Qt5::X11Extras)
else()
    target_link_libraries(KScreenLocker PRIVATE Qt::GuiPrivate)
endif()

set(kscreenlocker_greet_bin_abs ${CMAKE_INSTALL_FULL_LIBEXECDIR}/kscreenlocker_greet)
# The file path of kscreenlocker_greet must be relative to the KScreenLocker library.
file(RELATIVE_PATH kscreenlocker_greet_bin_rel ${CMAKE_INSTALL_FULL_LIBDIR} ${kscreenlocker_greet_bin_abs})
target_compile_definitions(KScreenLocker PRIVATE
    KSCREENLOCKER_GREET_BIN_ABS="${kscreenlocker_greet_bin_abs}"
    KSCREENLOCKER_GREET_BIN_REL="${kscreenlocker_greet_bin_rel}"
)

if (X11_Xinput_FOUND)
    target_link_libraries(KScreenLocker PRIVATE X11::Xi)
endif()

target_include_directories(KScreenLocker INTERFACE "$<INSTALL_INTERFACE:${KSLD_INCLUDEDIR}>")

# Needed to compile on Arm target.
set_target_properties(KScreenLocker PROPERTIES COMPILE_FLAGS "-fPIC")

add_library(PW::KScreenLocker ALIAS KScreenLocker)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

generate_export_header(KScreenLocker
    BASE_NAME KScreenLocker
    EXPORT_MACRO_NAME KSCREENLOCKER_EXPORT
    EXPORT_FILE_NAME KScreenLocker/kscreenlocker_export.h
)

configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

set_target_properties(KScreenLocker PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker")

if (HAVE_CONSOLEKIT)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session DESTINATION ${KDE_INSTALL_BINDIR})
endif ()

install(TARGETS KScreenLocker EXPORT KScreenLockerTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY)
install(EXPORT KScreenLockerTargets DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker" FILE KScreenLockerTargets.cmake NAMESPACE PW::)

ecm_generate_headers(KScreenLocker_CamelCase_HEADERS
    HEADER_NAMES
        KsldApp
    REQUIRED_HEADERS KScreenLocker_HEADERS)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/KScreenLocker/kscreenlocker_export.h
        ${KScreenLocker_CamelCase_HEADERS}
        ${KScreenLocker_HEADERS}
    DESTINATION
        ${KSLD_INCLUDEDIR}/KScreenLocker
    COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
			  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
		DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker"
		COMPONENT Devel)

ecm_qt_install_logging_categories(
    EXPORT KSCREENLOCKER
    FILE kscreenlocker.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

install(FILES kscreenlocker.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} RENAME ksmserver.notifyrc)
install(FILES ${screensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.freedesktop.ScreenSaver.xml)

install(FILES ${kscreensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})


install(FILES   updaters/kscreenlocker.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
install(PROGRAMS updaters/ksreenlocker_5_3_separate_autologin.pl
                DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)

if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== greeter/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")
add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker_greet\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/../
)

set(kscreenlocker_authenticator_SRCS
    pamauthenticator.cpp
    pamauthenticator.h
)

ecm_qt_declare_logging_category(kscreenlocker_authenticator_SRCS
    HEADER kscreenlocker_greet_logging.h
    IDENTIFIER KSCREENLOCKER_GREET
    CATEGORY_NAME kscreenlocker_greet
    DEFAULT_SEVERITY Info
    DESCRIPTION "KScreenLocker (greeter)"
    EXPORT KSCREENLOCKER
)

set(kscreenlocker_greet_SRCS
   greeterapp.cpp
   main.cpp
   powermanagement.cpp
   noaccessnetworkaccessmanagerfactory.cpp
   greeterapp.h
   main.cpp
   powermanagement.h
   noaccessnetworkaccessmanagerfactory.h
)

add_library(kscreenlocker_authenticator OBJECT ${kscreenlocker_authenticator_SRCS})
target_link_libraries(kscreenlocker_authenticator
    Qt::Core
    ${PAM_LIBRARIES}
)

qt_add_resources(kscreenlocker_greet_SRCS fallbacktheme.qrc)

ecm_add_wayland_client_protocol(kscreenlocker_greet_SRCS
    PROTOCOL ../protocols/ksld.xml
    BASENAME ksld
)

add_executable(kscreenlocker_greet ${kscreenlocker_greet_SRCS})

target_link_libraries(kscreenlocker_greet
    settings
    kscreenlocker_authenticator
    KF5::Package
    KF5::Crash
    KF5::I18n
    KF5::ConfigGui
    KF5::Declarative
    KF5::KIOCore
    KF5::QuickAddons
    KF5::WindowSystem
    Qt::Quick
    Qt::Qml
    X11::X11
    KF5::WaylandClient
    Wayland::Client
    LayerShellQt::Interface
    KF5::ScreenDpms
)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(kscreenlocker_greet Qt5::X11Extras)
else()
    target_link_libraries(kscreenlocker_greet Qt::GuiPrivate)
endif()

target_compile_definitions(kscreenlocker_greet PRIVATE
    KCHECKPASS_BIN="kcheckpass"
)

install(TARGETS kscreenlocker_greet DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(DIRECTORY themes/org.kde.passworddialog DESTINATION ${KDE_INSTALL_DATADIR}/ksmserver/screenlocker)

add_subdirectory(autotests)

=== tests/CMakeLists.txt ===
add_executable(kscreenlocker_test kscreenlocker_main.cpp)
target_link_libraries(kscreenlocker_test KScreenLocker Qt::Widgets KF5::I18n)
ecm_mark_as_test(kscreenlocker_test)

add_definitions(-DQML_PATH="${CMAKE_CURRENT_SOURCE_DIR}/powermanagement.qml")
add_executable(powermanagement_test powermanagementtest.cpp ../greeter/powermanagement.cpp)
target_link_libraries(powermanagement_test Qt::Gui Qt::DBus Qt::Quick)
ecm_mark_as_test(powermanagement_test)

add_definitions(-DQML_FILE="${CMAKE_CURRENT_SOURCE_DIR}/kcheckpass_test.qml")
add_executable(kcheckpass_test kcheckpass_test.cpp)
target_link_libraries(kcheckpass_test kscreenlocker_authenticator KF5::CoreAddons Qt::Gui Qt::Quick)
ecm_mark_as_test(kcheckpass_test)

=== debian/changelog ===
kscreenlocker (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:45 +0200

kscreenlocker (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkf5config-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.94~),
                libkf5crash-dev (>= 5.102.0~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5globalaccel-dev (>= 5.102.0~),
@@ -20,12 +19,12 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.4~),
+               libkf5screen-dev,
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.4~),
+               liblayershellqtinterface-dev (>= 5.27.5~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
@@ -39,10 +38,10 @@
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -71,8 +70,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -90,10 +88,10 @@
 
 Package: libkscreenlocker5
 Architecture: any
-Pre-Depends: psmisc
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~)
-Recommends: kde-config-screenlocker
+Pre-Depends: psmisc,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~),
+Recommends: kde-config-screenlocker,
 Multi-Arch: same
 Description: Secure lock screen architecture
  KDE systemsettings module to configure kscreenlocker.

## kscreenlocker 5.27.7

=== debian/changelog ===
kscreenlocker (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:54:52 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.5~),
+               liblayershellqtinterface-dev (>= 5.27.7~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),

## kscreenlocker 5.27.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== debian/changelog ===
kscreenlocker (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:22 +0100

kscreenlocker (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.26.4
    - Frameworks build deps versioned to 5.102.0
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 13:23:02 +0100

kscreenlocker (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:33 +0100

kscreenlocker (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:02 +0100

kscreenlocker (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -10,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkf5config-dev (>= 5.94~),
+               libkf5config-dev (>= 5.102.0~),
                libkf5crash-dev (>= 5.102.0~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5globalaccel-dev (>= 5.102.0~),
@@ -19,12 +20,12 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev,
+               libkf5screen-dev (>= 4:5.27.8~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.7~),
+               liblayershellqtinterface-dev (>= 5.27.8~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
@@ -40,8 +41,8 @@
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -70,7 +71,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends},
+Depends: libkscreenlocker5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .

## kscreenlocker 5.27.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "5.27.8")
+set(PROJECT_VERSION "5.27.10")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== debian/changelog ===
kscreenlocker (5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.27.10
    - Frameworks build deps versioned to 5.102.0
    - Keep our symbols file.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:32:32 -0700

kscreenlocker (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:24:14 +0100

kscreenlocker (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:22 +0000

kscreenlocker (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:13 +0200

kscreenlocker (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:34 +0100

kscreenlocker (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 21:54:21 +0200

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,12 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.8~),
+               libkf5screen-dev (>= 4:5.27.10~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.8~),
+               liblayershellqtinterface-dev (>= 5.27.10~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),

## kscreenlocker 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "5.27.10")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

#######################################
# LogindTest
#######################################
set(logindTest_SRCS
    logindtest.cpp
    fakelogind.cpp
    ../logind.cpp
    ../kscreenlocker_logging.cpp
)

add_executable(logindTest ${logindTest_SRCS})
target_link_libraries(logindTest Qt::DBus Qt::Test KF5::I18n)
add_test(NAME ksmserver-logindTest COMMAND logindTest)
ecm_mark_as_test(logindTest)

#######################################
# PamTest
#######################################

pkg_search_module(PamWrapper pam_wrapper)
if (PamWrapper_FOUND)
    pkg_get_variable(PamWrapperModuleDir pam_wrapper "modules")
    configure_file(data/test_service.in ./test_service)
    add_executable(pamTest pamtest.cpp)
    target_link_libraries(pamTest Qt::Test kscreenlocker_authenticator)
    add_test(NAME ksmserver-pamTest COMMAND pamTest)
    ecm_mark_as_test(pamTest)
    set_property(TEST ksmserver-pamTest
        PROPERTY
        ENVIRONMENT LD_PRELOAD=libpam_wrapper.so)
endif()

#######################################
# KSldTest
#######################################
add_executable(ksldTest ksldtest.cpp)
target_link_libraries(ksldTest Qt::Test Qt::Widgets KF5::IdleTime XCB::XTEST KScreenLocker)
if (QT_MAJOR_VERSION EQUAL "6")
    target_link_libraries(ksldTest Qt::GuiPrivate)
endif()
add_test(NAME ksmserver-ksldTest COMMAND ksldTest)
ecm_mark_as_test(ksldTest)

#######################################
# KeyboardGrabber
#######################################
add_executable(keyboardGrabber keyboardgrabber.cpp)
target_link_libraries(keyboardGrabber Qt::Core XCB::XCB)
ecm_mark_as_test(keyboardGrabber)

#######################################
# PointerGrabber
#######################################
add_executable(pointerGrabber pointergrabber.cpp)
target_link_libraries(pointerGrabber Qt::Core XCB::XCB)
ecm_mark_as_test(pointerGrabber)

#######################################
# LockWindowTest
#######################################
set(x11LockerTest_SRCS
    x11lockertest.cpp
    ../x11locker.cpp
    ../globalaccel.cpp
    ../abstractlocker.cpp
    ../kscreenlocker_logging.cpp
)

add_executable(x11LockerTest ${x11LockerTest_SRCS})
target_link_libraries(x11LockerTest
    KF5::GlobalAccel
    KF5::I18n
    KF5::WindowSystem
    Qt::Test
    Qt::Widgets
    X11::X11
    XCB::XCB
    XCB::KEYSYMS
)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(x11LockerTest Qt5::X11Extras)
else()
    target_link_libraries(x11LockerTest Qt::GuiPrivate)
endif()
add_test(NAME ksmserver-x11LockerTest COMMAND x11LockerTest)
ecm_mark_as_test(x11LockerTest)

=== kcm/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_screenlocker\")

set(screenlocker_kcm_SRCS
    kcm.cpp
    kscreenlockerdata.cpp
)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

qt_add_dbus_interface(screenlocker_kcm_SRCS ../dbus/org.kde.screensaver.xml screenlocker_interface)

kcoreaddons_add_plugin(kcm_screenlocker SOURCES ${screenlocker_kcm_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings")

kcmutils_generate_desktop_file(kcm_screenlocker)
target_link_libraries(kcm_screenlocker
    settings
    Qt::DBus
    KF5::Declarative
    KF5::KCMUtils
    KF5::I18n
    KF5::GlobalAccel
    KF5::Package
    KF5::QuickAddons
    KF5::XmlGui
)

kpackage_install_package(package kcm_screenlocker kcms)

=== settings/CMakeLists.txt ===
add_library(settings STATIC
    kscreensaversettings.cpp
    lnf_integration.cpp
    wallpaper_integration.cpp
    appearancesettings.cpp
)
set_property(TARGET settings PROPERTY POSITION_INDEPENDENT_CODE ON)

kconfig_add_kcfg_files(settings GENERATE_MOC kscreensaversettingsbase.kcfgc)
target_link_libraries(settings
    KF5::ConfigWidgets
    KF5::ConfigQml
    KF5::GlobalAccel
    KF5::I18n
    KF5::Package
    KF5::XmlGui
)

=== debian/changelog ===
kscreenlocker (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:42:27 +0000

kscreenlocker (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:21:58 +0000

kscreenlocker (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:20:13 +0000

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,12 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.10~),
+               libkf5screen-dev (>= 4:5.27.11~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.10~),
+               liblayershellqtinterface-dev (>= 5.27.11~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
@@ -35,8 +35,8 @@
                libxcb1-dev,
                libxcursor-dev,
                libxi-dev,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2

## kscreenlocker 6.1.5

=== debian/changelog ===
kscreenlocker (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:00 +0100

kscreenlocker (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:01 +0100

kscreenlocker (6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Mark a symbol as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 11:22:42 +0100

kscreenlocker (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.1.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:20 +0200

kscreenlocker (6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libkscreenlocker6 against
    libkscreenlocker5 (Closes: #1074165).
  * Removes the Breaks against kwin-common. To be evaluated.

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Jun 2024 00:49:04 +0200

kscreenlocker (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * New binary package libkscreenlocker6.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Jun 2024 17:26:02 +0200

kscreenlocker (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:24:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,29 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.102.0~),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               extra-cmake-modules (>= 6.2.0~),
                gettext,
-               libkf5config-dev (>= 5.102.0~),
-               libkf5crash-dev (>= 5.102.0~),
-               libkf5declarative-dev (>= 5.102.0~),
-               libkf5globalaccel-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
-               libkf5idletime-dev (>= 5.102.0~),
-               libkf5kcmutils-dev (>= 5.102.0~),
-               libkf5kio-dev (>= 5.102.0~),
-               libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.11~),
-               libkf5solid-dev (>= 5.102.0~),
-               libkf5wayland-dev (>= 4:5.102.0~),
-               libkf5windowsystem-dev (>= 5.102.0~),
-               libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.11~),
+               libkf6crash-dev (>= 6.2.0~),
+               libkf6globalaccel-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
+               libkf6idletime-dev (>= 6.2.0~),
+               libkf6kcmutils-dev (>= 6.2.0~),
+               libkf6kio-dev (>= 6.2.0~),
+               libkf6notifications-dev (>= 6.2.0~),
+               libkf6solid-dev (>= 6.2.0~),
+               libkf6svg-dev (>= 6.2.0~),
+               libkf6windowsystem-dev (>= 6.2.0~),
+               libkf6xmlgui-dev (>= 6.2.0~),
+               libkscreen-dev (>= 4:6.1.5~),
+               liblayershellqtinterface-dev (>= 6.1.5~),
                libpam0g-dev,
-               libqt5x11extras5-dev (>= 5.15.2~),
+               libplasma-dev (>= 6.1.5~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -35,11 +34,10 @@
                libxcb1-dev,
                libxcursor-dev,
                libxi-dev,
-               pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
@@ -47,7 +45,7 @@
 
 Package: kde-config-screenlocker
 Architecture: any
-Depends: libkscreenlocker5 (= ${binary:Version}),
+Depends: libkscreenlocker6 (= ${binary:Version}),
          systemsettings,
          ${misc:Depends},
          ${perl:Depends},
@@ -71,7 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}),
+Depends: libkscreenlocker6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
@@ -88,13 +86,14 @@
  .
  This package contains development files for kscreenlocker.
 
-Package: libkscreenlocker5
+Package: libkscreenlocker6
 Architecture: any
+Multi-Arch: same
 Pre-Depends: psmisc,
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~),
 Recommends: kde-config-screenlocker,
-Multi-Arch: same
+Breaks: libkscreenlocker5,
+Replaces: libkscreenlocker5,
 Description: Secure lock screen architecture
  KDE systemsettings module to configure kscreenlocker.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kscreenlocker 6.2.1

=== debian/changelog ===
kscreenlocker (6.2.1-1deepin2) unstable; urgency=medium

  * add rebuild.

 -- lichenggang <lichenggang@deepin.org>  Tue, 08 Apr 2025 18:13:56 +0800

kscreenlocker (6.2.1-1deepin1) experimental; urgency=medium

  * update build-dep.

 -- lichenggang <lichenggang@deepin.org>  Thu, 21 Nov 2024 17:32:15 +0800

kscreenlocker (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:24:52 +0200

kscreenlocker (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:49 +0200

kscreenlocker (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.
  * Drop useless ${perl:Depends} for kde-config-screenlocker.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:12 +0200

kscreenlocker (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -10,23 +9,23 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
-               libkf6crash-dev (>= 6.2.0~),
-               libkf6globalaccel-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6idletime-dev (>= 6.2.0~),
-               libkf6kcmutils-dev (>= 6.2.0~),
-               libkf6kio-dev (>= 6.2.0~),
-               libkf6notifications-dev (>= 6.2.0~),
-               libkf6solid-dev (>= 6.2.0~),
-               libkf6svg-dev (>= 6.2.0~),
-               libkf6windowsystem-dev (>= 6.2.0~),
-               libkf6xmlgui-dev (>= 6.2.0~),
-               libkscreen-dev (>= 4:6.1.5~),
-               liblayershellqtinterface-dev (>= 6.1.5~),
+               libkf6crash-dev (>= 6.5.0~),
+               libkf6globalaccel-dev (>= 6.5.0~),
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6idletime-dev (>= 6.5.0~),
+               libkf6kcmutils-dev (>= 6.5.0~),
+               libkf6kio-dev (>= 6.5.0~),
+               libkf6notifications-dev (>= 6.5.0~),
+               libkf6solid-dev (>= 6.5.0~),
+               libkf6svg-dev (>= 6.5.0~),
+               libkf6windowsystem-dev (>= 6.5.0~),
+               libkf6xmlgui-dev (>= 6.5.0~),
+               libkscreen-dev (>= 4:6.2.0~),
+               liblayershellqtinterface-dev (>= 5.2.0~),
                libpam0g-dev,
-               libplasma-dev (>= 6.1.5~),
+               libplasma-dev (>= 6.2.1~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -35,12 +34,12 @@
                libxcursor-dev,
                libxi-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -48,7 +47,6 @@
 Depends: libkscreenlocker6 (= ${binary:Version}),
          systemsettings,
          ${misc:Depends},
-         ${perl:Depends},
          ${shlibs:Depends},
 Description: KCM Module for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
@@ -69,8 +67,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker6 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkscreenlocker6 (= ${binary:Version}), ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
